diff --git a/package/lensid/feature_extraction/lensid_get_features_qts_ml.py b/package/lensid/feature_extraction/lensid_get_features_qts_ml.py
index f3df203..d074919 100644
--- a/package/lensid/feature_extraction/lensid_get_features_qts_ml.py
+++ b/package/lensid/feature_extraction/lensid_get_features_qts_ml.py
@@ -6,7 +6,7 @@ import pandas as pd
 
 def main():
     parser = argparse.ArgumentParser(
-        description='This is stand alone code for calculating 3-det QTs features using trained densenets and QTs, for given even pairs')
+        description='This is stand alone code for calculating sigle-det QTs features using trained densenets and QTs, for given even pairs')
     parser.add_argument(
         '-infile',
         '--infile',
@@ -22,6 +22,22 @@ def main():
         '--data_dir',
         help='QTs images folder path',
         default='train')
+    parser.add_argument(
+        '-colored',
+        '--colored',
+        type=int,
+        help='QTs images to be used  0. grayscale with individual + superposition (default) or 1. colored superimposed. ',
+        default=0)
+    parser.add_argument(
+        '-file_type',
+        '--file_type',
+        help='QTs images file type npz  or png (default)',
+        default='png')
+    parser.add_argument(
+        '-det',
+        '--det',
+        help='detector to test: H1 L1 V1',
+        default='H1')
     parser.add_argument(
         '-data_dir_0',
         '--data_dir_0',
@@ -47,9 +63,9 @@ def main():
         help='1/0',
         default=0)
     parser.add_argument(
-        '-dense_models_dir',
-        '--dense_models_dir',
-        help='trained densenets H1.h5, L1.h5, V1.h5 directory path ',
+        '-dense_model',
+        '--dense_model',
+        help='trained densenet path ',
         required=1)
 
     parser.add_argument(
@@ -63,24 +79,25 @@ def main():
     for arg in vars(args):
         print(arg, ': \t', getattr(args, arg))
 
-    print(args.dense_models_dir)
 
     data_dir = args.data_dir
     n = args.n
     infile = args.infile
     start = args.start
     outfile = args.outfile
-    dense_models_dir = args.dense_models_dir
+    dense_model = args.dense_model
     model_id =  args.model_id
     whitened = args.whitened
     data_dir_0 = args.data_dir_0
     data_dir_1 = args.data_dir_1
-    _main(data_dir,n,infile,outfile,start, dense_models_dir, model_id, whitened,data_dir_0,data_dir_1)
-def _main(data_dir,n,infile,outfile,start, dense_models_dir, model_id, whitened,data_dir_0=None,data_dir_1=None):
+    file_type=args.file_type
+    colored = args.colored
+    det = args.det
+    _main(data_dir,n,infile,outfile,start, file_type, colored, det,dense_model, model_id, whitened,data_dir_0,data_dir_1)
+def _main(data_dir,n,infile,outfile,start, file_type, colored, det,dense_model, model_id, whitened,data_dir_0=None,data_dir_1=None):
     
-    dense_model_H1 = ml.load_model(dense_models_dir + 'H1.h5')
-    dense_model_L1 = ml.load_model(dense_models_dir + 'L1.h5')
-    dense_model_V1 = ml.load_model(dense_models_dir + 'V1.h5')
+    model = ml.load_model(dense_model)
+
     if n == 0:
         df = pd.read_csv(infile, index_col=[0])[start:]
         print(len(df['img_0']), ' event pairs ')
@@ -90,29 +107,37 @@ def _main(data_dir,n,infile,outfile,start, dense_models_dir, model_id, whitened,
 
     dl = 1000
     l = len(df.img_0.values)
-    dets = ['H1', 'L1', 'V1']
-    models = [dense_model_H1, dense_model_L1, dense_model_V1]
-    for m, det in enumerate(dets):
-        model = models[m]
-        df['dense_' + det + '_' + str(model_id)] = ''
-        df['mean_overlap_qts_' + det], df['std_overlap_qts_' +
-                                          det], df['lsq_overlap_qts_' + det] = '', '', ''
-        for i in range(0, l, dl):
-            if i + dl < l:
-                print(i)
-                X, y, missing_ids, df[i:i + dl] = ml.generate_resize_densenet_fm(df[i:i + dl]).DenseNet_input_matrix(
-                    det=det, data_mode_dense="current", data_dir=data_dir, phenom=1, whitened=whitened, data_dir_0 = data_dir_0, data_dir_1 = data_dir_1 )
-                df['dense_' +
-                   det +
-                   '_' +
-                   str(model_id)].values[i:i +
-                                              dl] = ml.Dense_predict(model, df[i:i +
-                                                                               dl], X, missing_ids)[:, 0]
-            else:
-                X, y, missing_ids, df[i:l] = ml.generate_resize_densenet_fm(df[i:l]).DenseNet_input_matrix(
-                    det=det, data_mode_dense="current", data_dir=data_dir, phenom=1, whitened=whitened, data_dir_0 = data_dir_0, data_dir_1 = data_dir_1)
-                df['dense_' + det + '_' + str(model_id)].values[i:l] = ml.Dense_predict(
-                    model, df[i:l], X, missing_ids)[:, 0]
+    FMDictTest=dict(det=det,
+        data_mode_dense="current",
+        whitened=whitened,
+        data_dir=data_dir,
+        data_dir_0=data_dir_0,
+        data_dir_1=data_dir_1,        
+        file_type = file_type,
+        colored=colored,
+        img_0_paths='default',
+        img_1_paths='default',
+        phenom=1)
+    
+    df['dense_' + det + '_' + str(model_id)] = ''
+    df['mean_overlap_qts_' + det], df['std_overlap_qts_' +
+                                      det], df['lsq_overlap_qts_' + det] = '', '', ''
+    for i in range(0, l, dl):
+        if i + dl < l:
+            print(i)
+            X, y, missing_ids, df[i:i + dl] = ml.generate_resize_densenet_fm(df[i:i + dl]).DenseNet_input_matrix(
+                **FMDictTest)
+            df['dense_' +
+               det +
+               '_' +
+               str(model_id)].values[i:i +
+                                          dl] = ml.Dense_predict(model, df[i:i +
+                                                                           dl], X, missing_ids)[:, 0]
+        else:
+            X, y, missing_ids, df[i:l] = ml.generate_resize_densenet_fm(df[i:l]).DenseNet_input_matrix(
+                **FMDictTest)
+            df['dense_' + det + '_' + str(model_id)].values[i:l] = ml.Dense_predict(
+                model, df[i:l], X, missing_ids)[:, 0]
     print(df.tail())
     df.to_csv(outfile)
 
